curl --request GET \
--url https://api.zenskar.com/quotes/{quote_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_number": "<string>",
"quote_mode": "approval-based",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"name": "<string>",
"currency": "<string>",
"status": "draft",
"quote_type": "new_business",
"valid_from": "2023-12-25",
"start_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"valid_until": "2023-12-25",
"validity_config": {},
"end_date": "2023-12-25",
"estimate": {},
"provisioning_config": {},
"contract_payment_config": {},
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discounts": [
{}
],
"taxes": [
{}
],
"line_items": [],
"version_metadata": {},
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"custom_data": {},
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Retrieve a quote by its ID with current version and line items
curl --request GET \
--url https://api.zenskar.com/quotes/{quote_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_number": "<string>",
"quote_mode": "approval-based",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"current_version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_number": 123,
"name": "<string>",
"currency": "<string>",
"status": "draft",
"quote_type": "new_business",
"valid_from": "2023-12-25",
"start_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"valid_until": "2023-12-25",
"validity_config": {},
"end_date": "2023-12-25",
"estimate": {},
"provisioning_config": {},
"contract_payment_config": {},
"payment_method_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discounts": [
{}
],
"taxes": [
{}
],
"line_items": [],
"version_metadata": {},
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"custom_data": {},
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Documentation Index
Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response
Response schema for quote (with current version)
Quote ID
Human-readable quote number
Quote workflow mode
approval-based, self-serve Organisation ID
Customer ID
Business entity ID
Created at
Updated at
Current version ID
Current/active version details
Show child attributes
Custom data
Creator user ID